Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Class JavaCharStream

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.parser.JavaCharStream

public final class JavaCharStream
extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).

Field Summary
`int` | `bufpos`
`static boolean` | `staticFlag`

Constructor Summary
`JavaCharStream(java.io.InputStream dstream)`
`JavaCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`JavaCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`JavaCharStream(java.io.Reader dstream)`
`JavaCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`JavaCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` | `backup(int amount)`
`char` | `BeginToken()`
`void` | `Done()`
`int` | `getBeginColumn()`
`int` | `getBeginLine()`
`int` | `getColumn()` Deprecated.
`int` | `getEndColumn()`
`int` | `getEndLine()`
`java.lang.String` | `GetImage()`
`int` | `getLine()` Deprecated.
`char[]` | `GetSuffix(int len)`
`char` | `readChar()`
`void` | `ReInit(java.io.InputStream dstream)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(java.io.Reader dstream)`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

### bufpos

    public int bufpos

Constructor Detail

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream)

Method Detail

### BeginToken

    public final char BeginToken()
                          throws java.io.IOException

### readChar

    public final char readChar()
                        throws java.io.IOException

### getColumn

    public final int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public final int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public final int getEndColumn()

### getEndLine

    public final int getEndLine()

### getBeginColumn

    public final int getBeginColumn()

### getBeginLine

    public final int getBeginLine()

### backup

    public final void backup(int amount)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.Reader dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.InputStream dstream)

### GetImage

    public final java.lang.String GetImage()

### GetSuffix

    public final char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.